<?php

/**
 * Aliases for the special pages of the Survey extension.
 *
 * @since 0.1
 *
 * @file Survey.alias.php
 * @ingroup Survey
 *
 * @licence GNU GPL v2+
 * @author Jeroen De Dauw < jeroendedauw@gmail.com >
 */

$specialPageAliases = array();

/** English (English) */
$specialPageAliases['en'] = array(
	'EditSurvey' => array( 'EditSurvey', 'Survey' ),
	'Surveys' => array( 'Surveys' ),
	'SurveyStats' => array( 'SurveyStats', 'SurveyStatistics' ),
	'TakeSurvey' => array( 'TakeSurvey' ),
);

/** Arabic (العربية) */
$specialPageAliases['ar'] = array(
	'EditSurvey' => array( 'تعديل_الاستقصاء', 'استقصاء' ),
	'Surveys' => array( 'استقصاءات' ),
	'SurveyStats' => array( 'إحصاءات_الاستقصاء' ),
	'TakeSurvey' => array( 'المشاركة_بالاستقصاء' ),
);

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = array(
	'EditSurvey' => array( 'تعديل_الاستقصا', 'استقصا' ),
	'Surveys' => array( 'استقصايات' ),
	'SurveyStats' => array( 'احصاءات_الاستقصا' ),
	'TakeSurvey' => array( 'المشاركه_بالاستقصا' ),
);

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = array(
	'EditSurvey' => array( 'نَزز_سنجی_ئی_دستکاری' ),
	'Surveys' => array( 'نَزر_سنجی_ئان' ),
	'SurveyStats' => array( 'نّزر_سنجی_ئی_سرجم' ),
	'TakeSurvey' => array( 'بئ_نَزر_سنجی_تا_شریک_بوتین' ),
);

/** German (Deutsch) */
$specialPageAliases['de'] = array(
	'EditSurvey' => array( 'Umfrage_bearbeiten' ),
	'Surveys' => array( 'Umfragen' ),
	'SurveyStats' => array( 'Umfragestatistiken' ),
	'TakeSurvey' => array( 'Umfrage_beantworten' ),
);

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = array(
	'EditSurvey' => array( 'AnketBıvurne' ),
	'Surveys' => array( 'Anketi' ),
	'SurveyStats' => array( 'İstatıstikêAnketan' ),
	'TakeSurvey' => array( 'AnketBıgê' ),
);

/** Persian (فارسی) */
$specialPageAliases['fa'] = array(
	'EditSurvey' => array( 'ویرایش_نظرسنجی' ),
	'Surveys' => array( 'نظرسنجی‌ها' ),
	'SurveyStats' => array( 'آمار_نظرسنجی' ),
	'TakeSurvey' => array( 'شرکت_در_نظرسنجی' ),
);

/** Swiss German (Alemannisch) */
$specialPageAliases['gsw'] = array(
	'EditSurvey' => array( 'Umfroog_bearbeite' ),
	'Surveys' => array( 'Umfrooge' ),
	'SurveyStats' => array( 'Umfroogstatistike' ),
	'TakeSurvey' => array( 'Umfroog_beantworte' ),
);

/** Hebrew (עברית) */
$specialPageAliases['he'] = array(
	'EditSurvey' => array( 'עריכת_סקר' ),
	'Surveys' => array( 'סקרים' ),
	'SurveyStats' => array( 'סטטיסטיקות_סקר' ),
	'TakeSurvey' => array( 'מילוי_סקר' ),
);

/** Hindi (हिन्दी) */
$specialPageAliases['hi'] = array(
	'EditSurvey' => array( 'सम्पादन_सर्वेक्षण' ),
	'Surveys' => array( 'सर्वेक्षण' ),
	'SurveyStats' => array( 'सर्वेक्षण_आँकड़े' ),
);

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = array(
	'EditSurvey' => array( 'Modificar_questionario', 'Questionario' ),
	'Surveys' => array( 'Questionarios' ),
	'SurveyStats' => array( 'Statisticas_de_questionarios' ),
	'TakeSurvey' => array( 'Responder_a_questionario' ),
);

/** Italian (italiano) */
$specialPageAliases['it'] = array(
	'EditSurvey' => array( 'ModificaSondaggio' ),
	'Surveys' => array( 'Sondaggio' ),
	'SurveyStats' => array( 'StatSondaggio' ),
	'TakeSurvey' => array( 'FaiSondaggio' ),
);

/** Japanese (日本語) */
$specialPageAliases['ja'] = array(
	'EditSurvey' => array( 'アンケート編集', '編集アンケート' ),
	'Surveys' => array( 'アンケート' ),
	'SurveyStats' => array( 'アンケート統計情報' ),
	'TakeSurvey' => array( 'アンケート実施' ),
);

/** Korean (한국어) */
$specialPageAliases['ko'] = array(
	'EditSurvey' => array( '설문조사편집' ),
	'Surveys' => array( '설문조사' ),
	'SurveyStats' => array( '설문조사통계' ),
	'TakeSurvey' => array( '설문조사하기' ),
);

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = array(
	'EditSurvey' => array( 'Ëmfro_änneren' ),
	'Surveys' => array( 'Ëmfroen' ),
	'SurveyStats' => array( 'Statistike_vun_Ëmfroen' ),
	'TakeSurvey' => array( 'Bei_der_Ëmfro_matmaachen' ),
);

/** Macedonian (македонски) */
$specialPageAliases['mk'] = array(
	'EditSurvey' => array( 'УредиАнкета', 'Анкета' ),
	'Surveys' => array( 'Анкети' ),
	'SurveyStats' => array( 'СтатистикиЗаАнкети' ),
	'TakeSurvey' => array( 'ПополниАнкета' ),
);

/** Marathi (मराठी) */
$specialPageAliases['mr'] = array(
	'EditSurvey' => array( 'सर्वेक्षण' ),
	'Surveys' => array( 'सर्वेक्षणे' ),
	'SurveyStats' => array( 'सर्वेक्षणसांख्यिकी' ),
	'TakeSurvey' => array( 'सर्वेक्षणातसहभागीव्हा' ),
);

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = array(
	'EditSurvey' => array( 'Rediger_undersøkelse' ),
	'Surveys' => array( 'Undersøkelser' ),
	'SurveyStats' => array( 'Undersøkelsesstatistikk' ),
	'TakeSurvey' => array( 'Ta_undersøkelse' ),
);

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = array(
	'EditSurvey' => array( 'Bewerkingsvragenlijst' ),
	'Surveys' => array( 'Vragenlijsten' ),
	'SurveyStats' => array( 'Vragenlijstresultaten' ),
	'TakeSurvey' => array( 'VragenlijstBeantwoorden' ),
);

/** Punjabi (ਪੰਜਾਬੀ) */
$specialPageAliases['pa'] = array(
	'EditSurvey' => array( 'ਸੋਧ_ਸਰਵੇ', 'ਸਰਵੇ' ),
);

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = array(
	'EditSurvey' => array( 'ModificaSondaggio' ),
	'Surveys' => array( 'Sondaggio' ),
	'SurveyStats' => array( 'StatSondaggio' ),
	'TakeSurvey' => array( 'FaiSondaggio' ),
);

/** Ukrainian (українська) */
$specialPageAliases['uk'] = array(
	'EditSurvey' => array( 'Опитування' ),
);

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = array(
	'EditSurvey' => array( '编辑问卷' ),
	'Surveys' => array( '问卷' ),
	'SurveyStats' => array( '问卷统计' ),
	'TakeSurvey' => array( '做问卷' ),
);

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = array(
	'EditSurvey' => array( '編輯問卷' ),
	'Surveys' => array( '問卷' ),
	'SurveyStats' => array( '問卷統計' ),
	'TakeSurvey' => array( '做問卷' ),
);